# $Revision: 1.7 $, $Date: 2001/11/10 13:16:25 $
%include	/usr/lib/rpm/macros.perl
Summary:	A sophisticated backup script, based on GNU tar
Summary(pl):	Wyszukany skrypt to tworzenia kopii zapasowych
Name:		bbackup
Version:	0.52
Release:	1
License:	GPL
Group:		Networking/Utilities
Group(de):	Netzwerkwesen/Werkzeuge
Group(es):	Red/Utilitarios
Group(pl):	Sieciowe/Narzdzia
Group(pt_BR):	Rede/Utilitrios
Source0:	http://prdownloads.sourceforge.net/bbackup/%{name}-%{version}.tar.gz
Requires:	tar >= 1.12
BuildRequires:	perl >= 5.6.0
BuildRequires:	perl-AppConfig
BuildRequires:	perl-devel
BuildArch:	noarch
URL:		http://bbackup.sourceforge.net/
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description 
bbackup is a sophisticated frontend for GNU-tar. It allows to perform
full backups as well as incremental backups. It can handle a number of
filesystems to be backed up (which could even be mounted at runtime).
It is possible to write backups either to streaming media or to plain
files (perferrably on a separate harddisk).

%description -l pl
bbackup jest wyrafinowan nakadk na GNU tar. Pozwala on na tworzenie
zarwno penych jak i inkrementalnych kopii zapasowych. Potrafi
obsugiwa wiele systemw plikw przeznaczonych do archiwizacji.
Moliwe jest zapisywanie kopii zarwno na mediach strumieniowych jak i
w zwykych plikach.

%prep
%setup -q

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT{%{_bindir},%{_sysconfdir}/bbackup,%{_mandir}/man1} \
	$RPM_BUILD_ROOT%{_var}/bbackup

%{__make} install \
	BINDEST=$RPM_BUILD_ROOT%{_bindir} \
	ETCDEST=$RPM_BUILD_ROOT%{_sysconfdir} \
	MANDEST=$RPM_BUILD_ROOT%{_datadir}

gzip -9nf README THANKS TODO

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc *.gz
%attr(750,root,root) %dir %{_var}/bbackup
%attr(750,root,root) %dir %{_sysconfdir}/bbackup
%config(noreplace) %verify(not md5 size mtime) %attr(640,root,root) %{_sysconfdir}/bbackup/*
%attr(755,root,root) %{_bindir}/*
%{_mandir}/man?/*


%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <pld-list@pld.org.pl>
All persons listed below can be reached at <cvs_login>@pld.org.pl

$Log: bbackup.spec,v $
Revision 1.7  2001/11/10 13:16:25  kloczek
- finished.

Revision 1.6  2001/11/09 16:45:27  misiek
BR: perl-devel not perl-modules

Revision 1.5  2001/08/18 14:57:22  filon
- small description translation change

Revision 1.4  2001/08/03 04:35:53  migo
- typo in description

Revision 1.3  2001/05/09 13:48:11  misiek
cosmetics1

Revision 1.2  2001/05/09 13:47:36  misiek
add /var/bbackup

Revision 1.1  2001/05/09 13:11:53  misiek
- initial pld relase
- adapter.awk will break this spec!
